Google Maps API error

Updated: August 18, 2016

22nd of July Google announced some significant changes in usage of Google Maps. All websites (except localhost and websites created prior to 22.06.2016) that use Google Maps now require a Google Maps API key. Here you can read the full statement by Google.

How to get my API key?

Full tutorial how to obtain API key is described in official Google documentation here: https://developers.google.com/maps/documentation/javascript/get-api-key

We strongly recommend you to pay attention in step 5. from official Google documentation about security to prevent any troubles. Make sure that you added URL addresses for only your websites which will use Google Maps API key. This way no-one else can steal and use your API key.

maps-api-key-security

Which APIs do I need?

Because Google doesn’t explain clearly which APIs do you need to activate, here is the list of required APIs for all Google Maps features:

  • Google Maps Directions
  • Google Maps Distance Matrix
  • Google Maps Elevation
  • Google Maps Geocoding
  • Google Maps JavaScript

You have to enable these APIs in the Overview section. The result screen would look like this:

maps-api-key-enabled

Where to insert my API key?

If you login to your WordPress as an administrator, you can insert API key in Theme Options > Google > Maps API key

maps-api-key-theme-options

About Ivan Hudak

Works as an IT consultant for over 7 years now. He's a manager of our support team. Knows everything about all our themes, HTML, CSS, PHP and jQuery.